<style scoped lang="less">

  @picture-size: 52px;

  .person-card {
    display: flex;
    align-items: center;
    padding: 0 0 12px;
  }

  .picture {
    flex-basis: @picture-size;
    min-width: @picture-size;
    height: @picture-size;
    border-radius: 50%;
    background-color: var(--gray-light);
  }

  .content {
    display: flex;
    align-items: center;
    width: 100%;
    height: 44px;
    margin-left: 16px;
    position: relative;

    &:after {
      content: '';
      position: absolute;
      bottom: -12px;
      display: block;
      width: 100%;
      height: 1px;
      background: var(--gray-light);
    }

  }

  .details {
    margin-right: auto;

    .city {
      font-size: 16px;
      font-weight: 700;
      margin-bottom: 3px;
    }

    .name {
      font-size: 12px;
    }
  }

  .criteria {
    color: var(--text-muted);
    border: 1px solid var(--text-muted);
    padding: 0 12px;
    border-radius: 4px;
    height: 24px;
    text-transform: uppercase;
    font-weight: 700;
    font-size: 12px;
    display: flex;
    align-items: center;
  }


</style>

<template>

  <article class="card person-card">

    <div class="picture">
    </div>

    <section class="content">

      <div class="details">
        <p class="city">{{ city }}</p>
        <p class="name">{{ firstName }} {{ lastName }}</p>
      </div>

      <div class="criteria">
        {{ criteria }}
      </div>

    </section>

  </article>

</template>

<script>

  export default {
    name: 'scanner-results-list-item',
    props: {
      city: String,
      firstName: String,
      lastName: String,
      criteria: String,
    }
  }

</script>
